'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = validHTMLElement;
// SSR safe Valid HTML Element prop check

function validHTMLElement(props, propName) {
    var componentName = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'ANONYMOUS';

    if (typeof window === 'undefined') {
        return null;
    }

    if (props[propName]) {
        var value = props[propName];
        var isValid = value instanceof window.Element;

        if (!isValid) {
            return new Error('Prop name "' + propName + '" in <' + componentName + '> must be an HTML DOM element.');
        }
    }

    return null;
}